aboutsummaryrefslogtreecommitdiff
path: root/templates/umount.handler
diff options
context:
space:
mode:
authorMicah Anderson <micah@riseup.net>2008-02-29 17:38:32 +0000
committerMicah Anderson <micah@riseup.net>2008-02-29 17:38:32 +0000
commit53f68419ad51518aaadf0e57641ec10357ac5f80 (patch)
tree2f86753ac33fea429b0ee02926bba8dfbe2a4df2 /templates/umount.handler
parent4a59f0dbfbb67964379815a656e318b83702f723 (diff)
downloadpuppet-backupninja-53f68419ad51518aaadf0e57641ec10357ac5f80.tar.gz
puppet-backupninja-53f68419ad51518aaadf0e57641ec10357ac5f80.tar.bz2
install anarcats backupninja module changes
Diffstat (limited to 'templates/umount.handler')
-rw-r--r--templates/umount.handler15
1 files changed, 15 insertions, 0 deletions
diff --git a/templates/umount.handler b/templates/umount.handler
new file mode 100644
index 0000000..4fea195
--- /dev/null
+++ b/templates/umount.handler
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# Unmount the specified directory ('dir'), forcefully if necessary.
+
+getconf dir
+
+if ! umount $dir; then
+ warning "Simple unmount failed for $dir; being forceful"
+ if ! umount -f $dir; then
+ warning "Forceful unmount failed for $dir; being lazy"
+ if ! umount -l $dir; then
+ warning "Lazy unmount failed for $dir; you're on your own"
+ fi
+ fi
+fi